# Slung ## Docs - [GET /health](https://mintlify.wiki/slunghq/slung/api/health.md): Health check endpoint for monitoring Slung server status - [API Overview](https://mintlify.wiki/slunghq/slung/api/overview.md): HTTP and WebSocket API for Slung time-series database - [WebSocket API](https://mintlify.wiki/slunghq/slung/api/websocket.md): Stream time-series data to Slung via WebSocket binary frames - [System Architecture Overview](https://mintlify.wiki/slunghq/slung/architecture/overview.md): High-level architecture of Slung's time-series database system - [Performance Benchmarks](https://mintlify.wiki/slunghq/slung/architecture/performance.md): Benchmark results from billion-point ingestion and query tests - [Query Engine](https://mintlify.wiki/slunghq/slung/architecture/query-engine.md): Query DSL syntax, tag filtering, and execution engine - [Storage Engine](https://mintlify.wiki/slunghq/slung/architecture/storage-engine.md): TSM tree implementation with skip list cache and columnar disk storage - [WASM Runtime](https://mintlify.wiki/slunghq/slung/architecture/wasm-runtime.md): WebAssembly execution environment and host functions - [Data Model](https://mintlify.wiki/slunghq/slung/concepts/data-model.md): Series, tags, timestamps, and values in Slung - [Architecture Overview](https://mintlify.wiki/slunghq/slung/concepts/overview.md): High-level architecture of Slung data platform - [TSM Tree Storage](https://mintlify.wiki/slunghq/slung/concepts/tsm-tree.md): TSM tree architecture, cache, disk entries, and Gorilla encoding - [WASM Workflows](https://mintlify.wiki/slunghq/slung/concepts/workflows.md): WASM workflow execution model with host functions for real-time processing - [Client SDKs](https://mintlify.wiki/slunghq/slung/ingestion/client-sdks.md): Official client SDKs for sending metrics to Slung - [Ingestion Overview](https://mintlify.wiki/slunghq/slung/ingestion/overview.md): Learn how to send metrics to Slung using WebSocket-based ingestion - [Binary WebSocket Protocol](https://mintlify.wiki/slunghq/slung/ingestion/websocket-protocol.md): Complete specification of Slung's binary WebSocket ingestion protocol - [Installation](https://mintlify.wiki/slunghq/slung/installation.md): Build Slung from source using Zig and Nix - [Introduction to Slung](https://mintlify.wiki/slunghq/slung/introduction.md): Real-time stream processing platform for temporal data with full historical context - [Aggregations](https://mintlify.wiki/slunghq/slung/querying/aggregations.md): Aggregate time-series data with AVG, MIN, MAX, SUM, and COUNT operations - [Query Syntax](https://mintlify.wiki/slunghq/slung/querying/query-syntax.md): Learn the Slung Query DSL syntax for filtering and aggregating time-series data - [Tags](https://mintlify.wiki/slunghq/slung/querying/tags.md): Filter time-series data using boolean tag expressions with AND, OR, and NOT operators - [Time Ranges](https://mintlify.wiki/slunghq/slung/querying/time-ranges.md): Filter time-series data using absolute timestamps and relative time syntax - [Quickstart](https://mintlify.wiki/slunghq/slung/quickstart.md): Get Slung running in minutes and send your first events - [SlungClient API Reference](https://mintlify.wiki/slunghq/slung/sdks/client-api.md): Complete API reference for the TypeScript client SDK - [Host Function Reference](https://mintlify.wiki/slunghq/slung/sdks/host-functions.md): Low-level host function ABI for Slung workflows - [Rust Workflow SDK](https://mintlify.wiki/slunghq/slung/sdks/rust-workflow.md): Build reactive workflows with the Rust SDK for Slung - [TypeScript Client SDK](https://mintlify.wiki/slunghq/slung/sdks/typescript-client.md): Stream events to Slung from TypeScript applications - [Workflow SDK API Reference](https://mintlify.wiki/slunghq/slung/sdks/workflow-api.md): Complete API reference for the Rust workflow SDK - [Getting Started](https://mintlify.wiki/slunghq/slung/workflows/getting-started.md): Create your first Slung workflow with the Rust SDK - [Historical Queries](https://mintlify.wiki/slunghq/slung/workflows/historical-queries.md): Query aggregated historical time-series data - [Live Queries](https://mintlify.wiki/slunghq/slung/workflows/live-queries.md): Subscribe to real-time stream updates with live queries - [Workflow Overview](https://mintlify.wiki/slunghq/slung/workflows/overview.md): Build real-time stream processing workflows with WebAssembly - [Writeback](https://mintlify.wiki/slunghq/slung/workflows/writeback.md): Send workflow results to WebSocket clients and HTTP endpoints